Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

List connected accounts

Returns connected social accounts, newest first. Use id as social_account_id in post targets.

GET/api/cli/accounts
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Responses
200

OK

accountsAccount[]
Show properties
Array of Account
idstring<uuid>
platformPlatform
Allowed:tiktokinstagramyoutubelinkedinx
account_handlestring
token_validboolean
created_atstring<date-time>
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
Try it
Server
Authorization
Request
curl -X GET "https://www.brainyshorts.com/api/cli/accounts" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "accounts": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "platform": "tiktok",
      "account_handle": "string",
      "token_valid": true,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}